{ config, lib, pkgs, ... }:

let
  unstable = import <nixos-unstable> {};
in {
  environment.systemPackages = with pkgs; [
    arduino
    avrdude
    pkgsCross.avr.avrlibc
    pkgsCross.avr.libcCross
    pkgsCross.avr.buildPackages.gcc8
    pkgsCross.avr.buildPackages.binutils
    unstable.cura
    openscad
    kicad
  ];

  fileSystems."/mnt/nfs" = {
    device = "10.1.20.29:/srv/nfs";
    fsType = "nfs";
    options = [ "x-systemd.automount" "noauto" "x-systemd.idle-timeout=120" ];
  };
}
